Package Gnumed :: Package business :: Module gmPathLab :: Class cLabRequest |
[frames] | no frames]

# Class cLabRequest

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cLabRequest

Represents one lab request.

Instance Methods
__init__(self, aPK_obj=None, row=None) Instantiate lab request. | source code
get_patient(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, row=None) (Constructor) | source code
Instantiate lab request. The aPK_obj can be either a dict with the keys "req_id" and "lab" or a simple primary key. Overrides: object.__init__

### get_patient(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.get_patient